Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ec.cgp.representation
Class VectorIndividualCGP

    java.lang.Object
      ec.Individual
          ec.vector.VectorIndividual
              ec.cgp.representation.VectorIndividualCGP

All Implemented Interfaces:
  ec.Prototype, ec.Setup, java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  FloatVectorIndividual, IntegerVectorIndividual

    public abstract class VectorIndividualCGP

extends ec.vector.VectorIndividual

Base class for integer- and float-based CGP individuals.

Author:
  David Oranchak, doranchak@gmail.com, http://oranchak.com
See Also:
  Serialized Form

Field Summary
`java.lang.StringBuffer` | `expression` Temporary storage for displaying the full program

Fields inherited from class ec.Individual
`evaluated, EVALUATED_PREAMBLE, fitness, P_INDIVIDUAL, species`

Constructor Summary
`VectorIndividualCGP()`

Method Summary
`abstract java.lang.Object` | `getGenome()` Return the genome.

Methods inherited from class ec.vector.VectorIndividual
`defaultCrossover, defaultMutate, genomeLength, join, reset, reset, setGenome, setGenomeLength, size, split`

Methods inherited from class ec.Individual
`clone, equals, genotypeToString, genotypeToStringForHumans, hashCode, parseGenotype, printIndividual, printIndividual, printIndividualForHumans, readGenotype, readIndividual, readIndividual, setup, toString, writeGenotype, writeIndividual`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ec.Prototype
`defaultBase`

Field Detail

### expression

    public java.lang.StringBuffer expression

  Temporary storage for displaying the full program

Constructor Detail

### VectorIndividualCGP

    public VectorIndividualCGP()

Method Detail

### getGenome

    public abstract java.lang.Object getGenome()

  Return the genome.

  Overrides:
    `getGenome` in class `ec.vector.VectorIndividual`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD